Admit Media
POST /api/v1/edge-protocol/devices/{device_id}/media-admissionsAdmit an immutable original-codec fragment manifest before sending bytes. A repeated manifest returns the same durable receipt once content has been saved.
Access
Section titled “Access”Authentication options declared in the contract include device-scoped appliance credential.
Authentication and permissions explains tokens, cookies, CSRF, and workspace context.
Parameters
Section titled “Parameters”| Name | Location | Required | Type | Description and constraints |
|---|---|---|---|---|
device_id |
path | Yes | string (uuid) |
Request body
Section titled “Request body”Required.
application/json — EdgeMediaFragment.
| Field | Type | Required | Description and constraints |
|---|---|---|---|
uploadId |
string | Yes | pattern ^[0-9a-f]{64}$ |
fragmentId |
string | Yes | pattern ^[A-Za-z0-9_-]{1,128}$ |
cameraId |
string (uuid) | Yes | |
sourceGeneration |
string | Yes | pattern ^[A-Za-z0-9_-]{1,128}$ |
timelineId |
string | Yes | pattern ^[A-Za-z0-9_-]{1,128}$ |
configurationRevision |
integer (int64) | Yes | minimum 1.0. maximum 9007199254740991.0 |
startUs |
integer (int64) | Yes | minimum 0.0. maximum 9007199254740991.0 |
endUs |
integer (int64) | Yes | minimum 1.0. maximum 9007199254740991.0 |
sizeBytes |
integer | Yes | minimum 1.0. maximum 16777216.0 |
sha256 |
string | Yes | pattern ^[0-9a-f]{64}$ |
lane |
string | Yes | values "live", "replay" |
cURL request template
Section titled “cURL request template”Set the connection variables described in Get started. Replace each additional EOI_… variable with the parameter value for this request. Prepare the body file using the request schema above. This template sends the request when run.
curl --fail-with-body --silent --show-error \ --request POST \ --header "Authorization: Bearer ${EOI_EDGE_TOKEN}" \ --header "Content-Type: application/json" \ --data-binary @request.json \ "${EOI_API_BASE_URL}/edge-protocol/devices/${EOI_DEVICE_ID}/media-admissions"Contract responses
Section titled “Contract responses”The table records responses declared by the OpenAPI contract. See Errors and status codes for the runtime error envelope and shared failures.
| Status | Description | Media type | Body |
|---|---|---|---|
| 200 | Successful Response | application/json |
SessionAcceptedMediaAdmission or EdgeMediaAdmission |
| 422 | Validation Error | application/json |
HTTPValidationError |
Operation identifier admitEdgeMediaFragment. Browse Device protocol.
